@extends('admin.layout')

@section('content')

    <?php
    if (!isset($data)) $data = array();
    if (!$data && session("data")) {
        $data = session("data");
    }
    if (!$data && session('_old_input')) {
        $data = session("_old_input");
    }
    ?>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-sm-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>轮播图管理</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        @if(role('Album/Banner/index'))
                            <div class="row">
                                <div class="col-sm-3 pull-right">
                                    <a href="{{ U('Album/Banner/index')}}" class="btn btn-sm btn-primary pull-right">返回列表</a>
                                </div>
                            </div>
                        @endif

                        <div class="row">
                            <div class="col-lg-10">
                                <form name="form_product" id="form-validation" action=""
                                      class="form-horizontal form-validation" accept-charset="UTF-8" method="post">
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">轮播图</label>

                                        <div class="col-sm-9">
                                            {!!  widget('Tools.ImgUpload')->single('avatar',"data[pic_url]", isset($data['pic_url'])? $data['pic_url'] : "") !!}
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">标题</label>

                                        <div class="col-sm-9">
                                            <input id="data_title" name="data[title]" class="form-control"
                                                   value="{{ $data['title'] or ''}}" required="" aria-required="true"
                                                   placeholder="">
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">链接地址</label>

                                        <div class="col-sm-9">
                                            <input id="data_page_url" name="data[page_url]" class="form-control"
                                                   value="{{ $data['page_url'] or ''}}"
                                                   placeholder="">
                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <label class="control-label col-sm-3">类型</label>

                                        <div class="col-sm-9">
                                            <label class="radio-inline">
                                                <input type="radio" name="data[type]" value="1"
                                                       @if(isset($data['type']) && $data['type'] == '1')checked="checked" @endif/>商城
                                            </label>
                                            <label class="radio-inline">
                                                <input type="radio" name="data[type]" value="2"
                                                       @if(isset($data['type']) && $data['type'] == '2')checked="checked" @endif/>拼团
                                            </label>
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">排序</label>

                                        <div class="col-sm-9">
                                            <input id="data_sort" name="data[sort]" class="form-control"
                                                   value="{{ $data['sort'] or ''}}" required="" aria-required="true"
                                                   placeholder="值越大越靠前">
                                        </div>

                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-sm-3">&nbsp;</label>
                                        <div class="col-sm-9">
                                            <input type="hidden" name="_referer"
                                                   value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                            <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                            <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                            <input type="reset" class="btn btn-default">
                                        </div>
                                    </div>

                                </form>
                            </div>
                            <!-- /.col-lg-10 -->
                        </div>
                        <!-- /.row -->
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection